#ifndef WAV_DEF_H_INCLUDED
#define WAV_DEF_H_INCLUDED

#include "types.h"

#define HeaderID 		0x46464952			//'RIFF'   /* chunkID for Format Chunk. NOTE: There is a space at the end of this ID. */
#define HeaderFormatID 	0x45564157			//'WAVE'   /* chunkID for Format Chunk. NOTE: There is a space at the end of this ID. */

typedef struct {
 u32	chunkID;
 u32	chunkSize;
 u32	Format;
} HeaderChunk_t;

#define FormatID 		0x20746D66			//'fmt '   /* chunkID for Format Chunk. NOTE: There is a space at the end of this ID. */

typedef struct {
 u32	chunkID;
 u32	chunkSize;

 u16	wFormatTag;
 u16	wChannels;
 u32	dwSamplesPerSec;
 u32	dwAvgBytesPerSec;
 u16	wBlockAlign;
 u16	wBitsPerSample;

/* Note: there may be additional fields here, depending upon wFormatTag. */

} FormatChunk_t;

#define DataID 			0x61746164			//'data'  /* chunk ID for data Chunk */

typedef struct {
 u32	chunkID;
 u32	chunkSize;

} DataChunk_t;

#endif // WAV_DEF_H_INCLUDED